package com.ruixuan.isc.mapper;

import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface SupplyChainMapper {
    List<JSONObject> getOrderList(Map<String, Object> requestMap);

    List<JSONObject> getTopOrders(Map<String, Object> requestMap);

    List<JSONObject> anchorOrderDetail(Map<String, Object> requestMap);

    List<JSONObject> orderStatistics(Map<String, Object> requestMap);

    List<JSONObject> itemList(Map<String, Object> requestMap);

    List<JSONObject> getTopAnchors(Map<String, Object> requestMap);

    List<JSONObject> itemDetail(Map<String, Object> requestMap);

    List<JSONObject> itemServiceCharge(Map<String, Object> requestMap);

    JSONObject getOrderTotal(Map<String, Object> requestMap);

    Double getOrderTotalRatio(Map<String, Object> ratioMap);

    JSONObject getAmountTotal(Map<String, Object> requestMap);

    Double getAmountTotalRatio(Map<String, Object> ratioMap);

    JSONObject getServiceAmountTotal(Map<String, Object> ratioMap);

    List<JSONObject> getOrderRankRatioList(Map<String, Object> requestMap);

    List<JSONObject> getOrderRankList(Map<String, Object> requestMap);

    List<JSONObject> getPromoterRankRatioList(Map<String, Object> requestMap);

    List<JSONObject> getPromoterRatioList(Map<String, Object> requestMap);

    List<JSONObject> exportPromoterTotal(Map<String, Object> requestMap);

    List<JSONObject> exportPromoter(Map<String, Object> requestMap);

    List<JSONObject> exportOrder(Map<String, Object> requestMap);

    List<JSONObject> getTopPromoterByItemId(Map<String, Object> requestMap);

    List<JSONObject> bindUserItemList(Map<String, Object> requestMap);

    List<JSONObject> getSupplyChainUserList();

    boolean unbindUser(@Param("itemId") Long itemId);

    boolean bindUser(@Param("itemId") Long itemId, @Param("userId") Long userId, @Param("nikeName") String nikeName);

    List<JSONObject> adminReportList(Map<String, Object> requestMap);

    List<JSONObject> userItemDetail(Map<String, Object> requestMap);

    JSONObject getTimeIntervalRatio(Map<String, Object> requestMap);

    List<JSONObject> indexStatistics(Map<String, Object> requestMap);

    JSONObject itemBindSummary();

    JSONObject userItemTotal(Map<String, Object> requestMap);

    List<JSONObject> exportUserItemDetail(Map<String, Object> requestMap);
}
