package com.ruixuan.isc.service;

import com.alibaba.fastjson.JSONObject;
import com.kuaishou.merchant.open.api.KsMerchantApiException;
import com.ruixuan.isc.entity.KuaishouItemList;

import java.util.List;
import java.util.Map;

public interface IKuaishouItemListService {

    List<KuaishouItemList> getItemList(Map<String, Object> requestMap);

    /**
     * 获取商品详情信息
     *
     * @param activityId
     * @param itemId
     * @param accessToken
     * @return
     */
    JSONObject getItemDetail(Long activityId, Long itemId, String accessToken) throws Exception;

    KuaishouItemList getItemInfoByItemId(Long itemId);

    void insertItem(KuaishouItemList kuaishouItemList);


    int updateKuaishouItemList(KuaishouItemList kuaishouItemList);

    int deleteKuaishouItemListByItemIds(Long[] itemIds);
}

