package com.ruixuan.isc.service.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.kuaishou.merchant.open.api.KsMerchantApiException;
import com.kuaishou.merchant.open.api.client.oauth.OauthAccessTokenKsClient;
import com.kuaishou.merchant.open.api.client.oauth.OauthCredentialKsClient;
import com.kuaishou.merchant.open.api.response.oauth.KsAccessTokenResponse;
import com.kuaishou.merchant.open.api.response.oauth.KsCredentialResponse;
import com.ruixuan.common.utils.RedisUtil;
import com.ruixuan.isc.mapper.AccessTokenMapper;
import com.ruixuan.isc.service.IAccessTokenService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class AccessTokenServiceImpl implements IAccessTokenService {
    @Autowired
    private AccessTokenMapper accessTokenMapper;


    @Override
    public String getAccessToken() {
        return accessTokenMapper.getAccessToken();
    }

    @Override
    public void refreshAccessToken() {
        String appKey = "ks665688320292774929";
        String appSecret = "3qAsvwcUYuHFVpxJ_OTSFg";
        String grantCode = "86e73c07a93aa4434335c4d3e9a1773d6bcb573ec65b965a7251749c8b856990f845a095";
        //    String serverRestUrl = "open.distribution.investment.activity.item.detail";

/*        OauthAccessTokenKsClient oauthAccessTokenKsClient
                = new OauthAccessTokenKsClient(appKey, appSecret, serverRestUrl);*/

        OauthAccessTokenKsClient oauthAccessTokenKsClient
                = new OauthAccessTokenKsClient(appKey, appSecret);

// 生成AccessToken
        try {
            KsAccessTokenResponse response
                    = oauthAccessTokenKsClient.getAccessToken(grantCode);
            System.out.println(JSON.toJSONString(response));
        } catch (KsMerchantApiException e) {
            e.printStackTrace();
        }

        String refreshToken = "your app refreshToken";

// 刷新AccessToken
      /*  try {
            KsAccessTokenResponse response
                    = oauthAccessTokenKsClient.refreshAccessToken(refreshToken);
            System.out.println(JSON.toJSONString(response));
        } catch (KsMerchantApiException e) {
            e.printStackTrace();
        }*/
    }
}
